# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2018-10-20 09:24
from __future__ import unicode_literals

import django.contrib.gis.db.models.fields
import django.contrib.gis.geos.point
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('approved_status', models.BooleanField(default=False)),
                ('title', models.CharField(max_length=100)),
                ('event_type', models.CharField(choices=[('Wildfire', 'Wildfire')], default='Wildfire', max_length=50)),
                ('place', models.CharField(default='California', max_length=256)),
                ('adding_date', models.DateField(auto_now_add=True)),
                ('start_date', models.DateField()),
                ('end_date', models.DateField()),
                ('event_lat', models.FloatField(default=0.0)),
                ('event_lon', models.FloatField(default=0.0)),
                ('event_url', models.URLField(unique=True)),
                ('event_point', django.contrib.gis.db.models.fields.PointField(default=django.contrib.gis.geos.point.Point(0.0, 0.0, srid=4326), srid=4326)),
                ('affected_area', django.contrib.gis.db.models.fields.MultiPolygonField(blank=True, null=True, srid=4326)),
                ('size', models.IntegerField(blank=True, default=0, null=True)),
            ],
            options={
                'ordering': ('-start_date', '-pk'),
            },
        ),
    ]
